{% extends "ajax/game/game.html.twig" %}
{% block menu_text %}
    {{ parent() }}
    <li class="town-dash" x-ajax-href="{{ url('game_landing') }}">{{ 'Zum Spiel'|trans({},'global') }}</li>
{% endblock %}

{% block ajax %}
    <div class="row create-town">
        <div class="cell header rw-12">
            <h4>{{'Privatstadt gründen'|trans({}, 'ghost')}}</h4>
            <div class="row">
                <div class="cell padded rw-8 rw-md-12">
                    <div class="help">{{'In Privatstädten kannst du gemeinsam mit Freunden oder in Städten zu bestimmten "Theen" zu spielen.'|trans({}, 'ghost')}}</div>
                    {% if is_granted('ROLE_CROW') %}
                    <div class="row">
                        <div class="cell padded rw-4 note note-lightest">
                            <label for="townname">{{'Name der Stadt'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell padded rw-8">
                            <input type="text" name="townname" id="townname" />
                        </div>
                    </div>
                    {% endif %}

                    <div class="row">
                        <div class="cell padded rw-4 note note-lightest">
                            <label for="lang">{{'Sprache'|trans({}, 'global')}}</label>
                        </div>
                        <div class="cell padded rw-8">
                            <select name="lang" id="lang">
                                <option value="de" {% if app.user.language == 'de' %}selected{% endif %}>{{ 'Deutsch'|trans({}, 'global') }}</option>
                                <option value="en" {% if app.user.language == 'en' %}selected{% endif %}>{{ 'Englisch'|trans({}, 'global') }}</option>
                                <option value="fr" {% if app.user.language == 'fr' %}selected{% endif %}>{{ 'Französisch'|trans({}, 'global') }}</option>
                                <option value="es" {% if app.user.language == 'es' %}selected{% endif %}>{{ 'Spanisch'|trans({}, 'global') }}</option>
                            </select>
                        </div>
                    </div>

                    <div class="row">
                        <div class="cell padded rw-4 note note-lightest">
                            <label for="password">{{'Zugangscode'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell padded rw-8">
                            <input type="text" name="password" id="password"/>
                        </div>
                    </div>

                    <div class="row">
                        <div class="cell padded rw-4 note note-lightest">
                            <label for="type">{{'Stadttyp'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell padded rw-8">
                            <select name="type" id="type">
                                {% for townClass in townClasses %}
                                    <option value="{{townClass.name}}">{{townClass.label|trans({}, 'game')}}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>

                    <div class="row">
                        <div class="cell padded rw-4 note note-lightest">
                            <label for="ghoulType">{{'Ghule'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell padded rw-8">
                            <select name="ghoulType" id="ghoulType">
                                <option value="normal" title="{{'Je nach gewähltem Stadttyp erscheinen Ghule nach den üblichen Regeln.'|trans({}, 'ghost')}}">{{'Normal'|trans({}, 'ghost')}}</option>
                                <option value="bloodthirst" title="{{'Das Auftreten von Ghulen wird nicht geändert. Allerdings kann ein Ghul seinen Hunger nur stillen, indem er einen Mitbürger verspeist.'|trans({}, 'ghost')}}">{{'Blutdurst'|trans({}, 'ghost')}}</option>
                                <option value="childtown" title="{{'Es erscheint zwar kein Ghul um Mitternacht. Dafür können andere Ereignisse das Auftreten von Ghulen auslösen.'|trans({}, 'ghost')}}">{{'Stadt der Kuscheltiere'|trans({}, 'ghost')}}</option>
                            </select>
                        </div>
                        <div class="cell padded rw-12">
                            <div class="help" id="helpGhoul">{{'Je nach gewähltem Stadttyp erscheinen Ghule nach den üblichen Regeln.'|trans({}, 'ghost')}}</div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="cell padded rw-4 note note-lightest">
                            <label for="water">{{"Wasservorrat"|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell padded rw-8">
                            <input type="text" name="water" id="water"/>
                        </div>
                        <div class="cell padded rw-12">
                            <div class="help">{{'Normale Werte liegen zwischen 100 und 180. Wert ist in Pandämonium-Städten reduziert. Maximum ist 300'|trans({}, 'ghost')}}</div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="cell padded rw-4 note note-lightest">
                            <label>{{'Einstellungen'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell padded rw-8">
                            <input type="checkbox" name="disablexml" id="disablexml" /> <label for="disablexml">{{'XML Feed für diese Stadt deaktivieren'|trans({}, 'ghost')}}</label>
                        </div>
                    </div>

                    <h5>{{'Event-Stadt'|trans({}, 'ghost')}}</h5>
                    <div class="row">
                        <div class="cell padded rw-4 note note-lightest">
                            <label for="rules">{{'Spezialregeln'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell padded rw-8">
                            <select id="rules" name="rules" multiple>
                                <option value="none" title="{{'Keine Spezialregeln'|trans({}, 'ghost')}}" selected>{{'Keine'|trans({}, 'ghost')}}</option>
                                <option value="nobuilding" title="{{'Kein Gebäude ist zu Beginn freigeschaltet. Alle müssen in der Aussenwelt gefunden werden!'|trans({}, 'ghost')}}">{{'Keine Startgebäude'|trans({}, 'ghost')}}</option>
                                <option value="poison" title="{{'Jedes Essen und jede Droge, die du zu dir nimmst, birgt ein geringes Infektionsrisiko.'|trans({}, 'ghost')}}">{{'Kontaminierte Zone'|trans({}, 'ghost')}}</option>
                            </select>
                        </div>
                    </div>

                    <h5>{{'Stadtmodifikationen'|trans({}, 'ghost')}}</h5>
                    <div class="row">
                        <div class="cell rw-12 mod">
                            <input type="checkbox" name="explorableruins" id="explorableruins" checked/> <label for="explorableruins"><strong>{{'Exploration:'|trans({}, 'ghost')}}</strong> {{'Begehbare Ruinen aktivieren'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell rw-12 mod">
                            <input type="checkbox" name="shaman" id="shaman" checked/> <label for="shaman"><strong>{{'Seelen & Schamane:'|trans({}, 'ghost')}}</strong> {{'Verlorene Seelen und Schamanen aktivieren'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell rw-12 mod">
                            <input type="checkbox" name="escorts" id="escorts" checked/> <label for="escorts"><strong>{{'Eskorte:'|trans({}, 'ghost')}}</strong> {{'Eskorten aktivieren'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell rw-12 mod">
                            <input type="checkbox" name="shun" id="shun" checked/> <label for="shun"><strong>{{'Verbannung:'|trans({}, 'ghost')}}</strong> {{'Verbannung aktivieren'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell rw-12 mod">
                            <input type="checkbox" name="nightmode" id="nightmode" checked/> <label for="nightmode"><strong>{{'Nachtmodus:'|trans({}, 'ghost')}}</strong> {{'Nachtmodus aktivieren (schwerer)'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell rw-12 mod">
                            <input type="checkbox" name="camp" id="camp" checked/> <label for="camp"><strong>{{'Camping:'|trans({}, 'ghost')}}</strong> {{'Camping in der Wildnis aktivieren'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell rw-12 mod">
                            <input type="checkbox" name="ghouls" id="ghouls" checked/> <label for="ghouls"><strong>{{'Ghule:'|trans({}, 'ghost')}}</strong> {{'Ghule aktivieren'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell rw-12 mod">
                            <input type="checkbox" name="buildingdamages" id="buildingdamages" checked/> <label for="buildingdamages"><strong>{{'Gebäudeschaden:'|trans({}, 'ghost')}}</strong> {{'Gebäudeschaden aktivieren'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell rw-12 mod">
                            <input type="checkbox" name="nightwatch" id="nightwatch" checked/> <label for="nightwatch"><strong>{{'Nachtwache:'|trans({}, 'ghost')}}</strong> {{'Nachtwache aktivieren'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell rw-12 mod">
                            <input type="checkbox" name="improveddump" id="improveddump" checked/> <label for="improveddump"><strong>{{'Verbesserte Müllhalde:'|trans({}, 'ghost')}}</strong> {{'Verbesserte Müllhalde aktivieren'|trans({}, 'ghost')}}</label>
                        </div>
                    </div>
                    <div class="help">
                        {{'Aktiviere/deaktiviere Spielmodifikationen spezifisch für diese Stadt'|trans({}, 'ghost')}}
                    </div>
                    <h5>{{'Angriffe'|trans({}, 'ghost')}}</h5>
                    <div class="row">
                        <div class="cell padded rw-4">
                            <label for="attack">{{'Stärke der Angriffe'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell padded rw-8">
                            <select name="attack" id="attack">
                                <option value="normal">{{'Normal'|trans({}, 'ghost')}}</option>
                                <option value="easy">{{'Leiche Angriffe'|trans({}, 'ghost')}}</option>
                                <option value="hard">{{'Schwere Angriffe'|trans({}, 'ghost')}}</option>
                            </select>
                        </div>
                    </div>

                    {% if is_granted('ROLE_CROW') %}
                    <h5>{{'Spiel-Optionen'|trans({}, 'ghost')}}</h5>
                    <div class="row">
                        <div class="cell rw-12 mod">
                            <input type="checkbox" name="allpictos" id="allpictos" checked/> <label for="allpictos"><strong>{{'Abstimmung aller Piktogramme:'|trans({}, 'ghost')}}</strong> {{'Gibt die Gesamtheit der während der Stadt erhaltenen Piktogramme an, anstatt ein Drittel davon.'|trans({}, 'ghost')}}</label>
                        </div>
                        <div class="cell rw-12 mod">
                            <input type="checkbox" name="soulpoints" id="soulpoints" checked/> <label for="soulpoints"><strong>{{'Seelenpunkte vergeben:'|trans({}, 'ghost')}}</strong> {{'Gibt Ihnen Seelenpunkte.'|trans({}, 'ghost')}}</label>
                        </div>
                    </div>
                    {% endif %}

                    <div class="warning">
                        <strong>{{'Achtung!'|trans({}, 'ghost')}}</strong> {{'Falls die Stadt night in 2 Tagen gefüllt ist, wird sie wieder negiert.'|trans({}, 'ghost')}}
                    </div>
                    <div class="row">
                        <div class="cell padded rw-12">
                            <button id="create-town-btn">{{'Diese Stadt gründen'|trans({}, 'ghost')}}</button>
                        </div>
                    </div>
                    
                    <div class="row">
                        <div class="cell padded rw-12">
                            <button id="save-spots-ben">{{'Platzreservierung'|trans({}, 'ghost')}}</button>
                        </div>
                    </div>

                    <div class="row">
                        <div class="cell padded rw-12">
                            <div class="small"><img src="{{ asset('build/images/icons/small_rp.gif') }}" /> {{'Beginne ein neues Leben in der Welt der Verdammten une versuche, so lang wie möglich zu überleben. Wer weiß, ws dich in dieser neuen Stadt erwarten wird?'|trans({}, 'ghost')}}</div>
                        </div>
                    </div>

                </div>


                <div class="cell padded rw-4 rw-md-12">
                    ADD HELP CONTENT HERE
                </div>
            </div>

        </div>
    </div>
{% endblock %}
{% block js %}
    {{parent()}}
    <script>
        let ghoulTypeSelect = document.getElementById("ghoulType");
        if(ghoulType) ghoulType.addEventListener('change', function(){
            document.getElementById("helpGhoul").innerText = document.querySelector('#ghoulType option:checked').getAttribute('title');
        });

        let createtownbtn = document.getElementById('create-town-btn');
        if(createtownbtn) createtownbtn.addEventListener('click', function(){
            if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                return;

            let payload = {};
            {% if is_granted('ROLE_CROW') %}
            payload.townName = document.getElementById('townname').value;
            {% endif %}
            payload.password        = document.getElementById("password").value;
            payload.lang            = document.getElementById("lang").value;
            payload.townType        = document.getElementById("type").value;
            payload.ghoulType       = document.getElementById('ghoulType').value;

            payload.well            = document.getElementById('water').value;

            payload.disablexml      = document.getElementById('disablexml').checked;

            payload.rules           = document.getElementById('rules').value;

            payload.ruins           = document.getElementById('explorableruins').checked;
            payload.shaman          = document.getElementById('shaman').checked;
            payload.escorts         = document.getElementById('escorts').checked;
            payload.shun            = document.getElementById('shun').checked;
            payload.nightmode       = document.getElementById('nightmode').checked;
            payload.camp            = document.getElementById('camp').checked;
            payload.ghouls          = document.getElementById('ghouls').checked;
            payload.buildingdamages = document.getElementById('buildingdamages').checked;
            payload.nightwatch      = document.getElementById('nightwatch').checked;
            payload.improveddump    = document.getElementById('improveddump').checked;

            payload.attacks         = document.getElementById('attack').value;

            {% if is_granted('ROLE_CROW') %}
            payload.allpictos = document.getElementById('allpictos').checked;
            payload.soulpoints = document.getElementById('soulpoints').checked;
            {% endif %}

            $.ajax.send( '{{ path('ghost_process_create_town') }}', payload,
                function () {
                    $.ajax.load(null, '{{ path('game_jobs') }}', true);
            } );
        });
    </script>
{% endblock %}